# AP4_TrakAtom Class Reference

`#include <Ap4TrakAtom.h>`

Inheritance diagram for AP4_TrakAtom:

List of all members.

## Public Member Functions
| AP4_TrakAtom (AP4_SampleTable *sample_table, AP4_Atom::Type hdlr_type, const char *hdlr_name, AP4_UI32 track_id, AP4_UI32 creation_time, AP4_UI32 modification_time, AP4_UI32 track_duration, AP4_UI32 media_time_scale, AP4_UI32 media_duration, AP4_UI16 volume, const char *language, AP4_UI32 width, AP4_UI32 heigh)
AP4_Result | AdjustChunkOffsets (AP4_SI64 delta)
AP4_UI32 | GetId ()
AP4_Result | SetId (AP4_UI32 track_id)
AP4_UI32 | GetDuration ()
AP4_Result | SetDuration (AP4_UI32 duration)
AP4_TkhdAtom * | GetTkhdAtom ()
## Static Public Member Functions
static AP4_TrakAtom * | Create (AP4_Size size, AP4_ByteStream &stream, AP4_AtomFactory &atom_factory)

## Detailed Description

Definition at line 47 of file Ap4TrakAtom.h.

## Constructor & Destructor Documentation

AP4_TrakAtom::AP4_TrakAtom | ( | AP4_SampleTable * | sample_table,
|  | AP4_Atom::Type | hdlr_type,
|  | const char * | hdlr_name,
|  | AP4_UI32 | track_id,
|  | AP4_UI32 | creation_time,
|  | AP4_UI32 | modification_time,
|  | AP4_UI32 | track_duration,
|  | AP4_UI32 | media_time_scale,
|  | AP4_UI32 | media_duration,
|  | AP4_UI16 | volume,
|  | const char * | language,
|  | AP4_UI32 | width,
|  | AP4_UI32 | heigh |
| ) |  |  |

Referenced by Create().

## Member Function Documentation

static AP4_TrakAtom* AP4_TrakAtom::Create | ( | AP4_Size | size,
|  | AP4_ByteStream & | stream,
|  | AP4_AtomFactory & | atom_factory |
| ) |  |  | `[inline, static]`

Definition at line 51 of file Ap4TrakAtom.h.

References AP4_TrakAtom().

AP4_Result AP4_TrakAtom::AdjustChunkOffsets | ( | AP4_SI64 | delta | ) |

AP4_UI32 AP4_TrakAtom::GetId | ( |  | ) | `[inline]`

Definition at line 72 of file Ap4TrakAtom.h.

References AP4_TkhdAtom::GetTrackId().

AP4_Result AP4_TrakAtom::SetId | ( | AP4_UI32 | track_id | ) | `[inline]`

Definition at line 75 of file Ap4TrakAtom.h.

References AP4_TkhdAtom::SetTrackId().

AP4_UI32 AP4_TrakAtom::GetDuration | ( |  | ) |

AP4_Result AP4_TrakAtom::SetDuration | ( | AP4_UI32 | duration | ) |

AP4_TkhdAtom* AP4_TrakAtom::GetTkhdAtom | ( |  | ) | `[inline]`

Definition at line 80 of file Ap4TrakAtom.h.

The documentation for this class was generated from the following file:

- Ap4TrakAtom.h